PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Structures | Enumerations
color.h File Reference
SPA » Parameters

`spa/param/video/color.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_video_colorimetry
| spa_video_colorimetry: More...

## Enumerations
enum | spa_video_color_range { SPA_VIDEO_COLOR_RANGE_UNKNOWN = 0 , SPA_VIDEO_COLOR_RANGE_0_255 , SPA_VIDEO_COLOR_RANGE_16_235 }
| Possible color range values. More...
enum | spa_video_color_matrix { SPA_VIDEO_COLOR_MATRIX_UNKNOWN = 0 , SPA_VIDEO_COLOR_MATRIX_RGB , SPA_VIDEO_COLOR_MATRIX_FCC , SPA_VIDEO_COLOR_MATRIX_BT709 , SPA_VIDEO_COLOR_MATRIX_BT601 , SPA_VIDEO_COLOR_MATRIX_SMPTE240M , SPA_VIDEO_COLOR_MATRIX_BT2020 }
| The color matrix is used to convert between Y'PbPr and non-linear RGB (R'G'B') More...
enum | spa_video_transfer_function { SPA_VIDEO_TRANSFER_UNKNOWN = 0 , SPA_VIDEO_TRANSFER_GAMMA10 , SPA_VIDEO_TRANSFER_GAMMA18 , SPA_VIDEO_TRANSFER_GAMMA20 , SPA_VIDEO_TRANSFER_GAMMA22 , SPA_VIDEO_TRANSFER_BT709 , SPA_VIDEO_TRANSFER_SMPTE240M , SPA_VIDEO_TRANSFER_SRGB , SPA_VIDEO_TRANSFER_GAMMA28 , SPA_VIDEO_TRANSFER_LOG100 , SPA_VIDEO_TRANSFER_LOG316 , SPA_VIDEO_TRANSFER_BT2020_12 , SPA_VIDEO_TRANSFER_ADOBERGB }
| The video transfer function defines the formula for converting between non-linear RGB (R'G'B') and linear RGB. More...
enum | spa_video_color_primaries { SPA_VIDEO_COLOR_PRIMARIES_UNKNOWN = 0 , SPA_VIDEO_COLOR_PRIMARIES_BT709 , SPA_VIDEO_COLOR_PRIMARIES_BT470M , SPA_VIDEO_COLOR_PRIMARIES_BT470BG , SPA_VIDEO_COLOR_PRIMARIES_SMPTE170M , SPA_VIDEO_COLOR_PRIMARIES_SMPTE240M , SPA_VIDEO_COLOR_PRIMARIES_FILM , SPA_VIDEO_COLOR_PRIMARIES_BT2020 , SPA_VIDEO_COLOR_PRIMARIES_ADOBERGB }
| The color primaries define the how to transform linear RGB values to and from the CIE XYZ colorspace. More...

## Detailed Description

`spa/param/video/color.h`